# vim:fileencoding=utf-8

require 'zmq'

def main
  context = ZMQ::Context.new(1)

  puts "Connecting to hello world server…"
  requester = context.socket(ZMQ::REQ)
  requester.connect("tcp://localhost:5555")

  0.upto(9) do |request_nbr|
    puts "Sending request #{request_nbr}…"
    requester.send("Hello")

    reply = requester.recv(6)
    puts "Received reply #{request_nbr}: [#{reply}]"
  end
end


if $0 == __FILE__
  main
end
